Bug 106675 - prelink SRPM fails to build.
prelink SRPM fails to build.
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink (Show other bugs)
1.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-09 10:21 EDT by Max Kanat-Alexander
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-17 08:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of rpm -qa | sort (27.30 KB, text/plain)
2003-10-09 10:28 EDT, Max Kanat-Alexander
no flags Details

  None (edit)
Description Max Kanat-Alexander 2003-10-09 10:21:10 EDT
Description of problem:
When I build the SRPM, two of the build tests fail:

FAIL: reloc10.sh
FAIL: reloc11.sh

All the other tests pass.

I've tried it with my normal build target (athlon-linux-gnu, which doesn't work
unless I add it to ExclusiveArch, but hey, I have to do that all the time
anyway.) and with i386-linux-gnu.

I have an Athlon Thunderbird 800Mhz running on a VIA chipset, if it's important.

Details
-------

Here's some of stderr:
+ ./configure --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu
--target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin  --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com
--mandir=/usr/share/man --infodir=/usr/share/info --disable-shared

arch-i386.c:1045: warning: `used' attribute ignored
arch-i386.c:1045: warning: `plarch' defined but not used
arch-alpha.c:459: warning: `used' attribute ignored
arch-alpha.c:459: warning: `plarch' defined but not used
arch-ppc.c:936: warning: `used' attribute ignored
arch-ppc.c:936: warning: `plarch' defined but not used
arch-ppc64.c:821: warning: `used' attribute ignored
arch-ppc64.c:821: warning: `plarch' defined but not used
arch-sparc.c:493: warning: `used' attribute ignored
arch-sparc.c:493: warning: `plarch' defined but not used
arch-sparc64.c:680: warning: `used' attribute ignored
arch-sparc64.c:680: warning: `plarch' defined but not used
arch-x86_64.c:498: warning: `used' attribute ignored
arch-x86_64.c:498: warning: `plarch' defined but not used
arch-s390.c:475: warning: `used' attribute ignored
arch-s390.c:475: warning: `plarch' defined but not used
arch-s390x.c:591: warning: `used' attribute ignored
arch-s390x.c:591: warning: `plarch' defined but not used
arch-arm.c:641: warning: `used' attribute ignored
arch-arm.c:641: warning: `plarch' defined but not used
arch-sh.c:434: warning: `used' attribute ignored
arch-sh.c:434: warning: `plarch' defined but not used
arch-ia64.c:486: warning: `used' attribute ignored
arch-ia64.c:486: warning: `plarch' defined but not used

It fails with:
make[2]: *** [check-TESTS] Error 1
make[1]: *** [check-am] Error 2
make: *** [check-harder] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.80986 (%build)
    Bad exit status from /var/tmp/rpm-tmp.80986 (%build)

Is there a way to run those specific tests and get some debugging output from
them? If so, I'll do it and send up the output.

-M

Version-Release number of selected component (if applicable):
prelink-0.3.0-7
Comment 1 Max Kanat-Alexander 2003-10-09 10:28:14 EDT
Created attachment 95071 [details]
Output of rpm -qa | sort

Here's the current set of packages I have installed, in case that is of
interest.

-M
Comment 2 Jakub Jelinek 2003-10-17 08:27:29 EDT
Your glibc is too old - glibc-2.3.2-27.9.
Prelink needs more recent glibc so that prelinking of shared libraries with
no dependencies works.

Note You need to log in before you can comment on or make changes to this bug.